
import React from 'react';
import Icon from 'react-icon-base';

const SlPresent = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M1024 639.504c0 35.3438 -28.6543 64 -63.998 64h-109.248c28.2725 27.8877 46.3682 64.4473 46.3682 109.472c0 55.4404 -31.8398 115.664 -121.216 115.664c-117.6 0 -215.84 -125.216 -262 -195.408c-46.1924 70.1758 -147.44 195.392 -265.024 195.392 c-89.376 0 -121.216 -60.2236 -121.216 -115.664c0 -45.0078 18.5918 -81.584 47.4395 -109.472h-111.104c-35.3438 0 -64 -28.6562 -64 -64v-191.568h64.5596v-416.56c0 -35.3438 28.6562 -64 64 -64h767.68c35.3438 0 64 28.6562 64 64v416.576h63.7598v191.568z M775.906 864.624c39.5684 0 57.2158 -16.625 57.2158 -51.665c0 -71.0879 -79.3438 -109.439 -153.968 -109.439h-108.336c45.4717 67.5361 125.504 161.104 205.088 161.104zM248.881 864.623c79.5996 0 162.655 -93.5684 208.127 -161.088h-108.368 c-74.624 0 -156.976 39.3438 -156.976 110.432c0 35.0244 17.6484 50.6562 57.217 50.656zM960.001 511.936h-416v127.568h416v-127.568zM64.001 639.504h416v-127.568h-416zM128.561 447.936h351.44v-416.56h-351.44zM896.257 31.376h-352.256v416.56h352.256v-416.56z"/></g>
    </Icon>
);

export default SlPresent;
